Skip to main content
GET
/
v0
/
sources
/
{id}
Get
curl --request GET \
  --url https://api.paygentic.io/v0/sources/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "src_v7w8x9y0z1a2b3c4",
  "config": {
    "ampersandProjectId": "proj_789012"
  },
  "createdAt": "2024-02-15T10:30:00Z",
  "description": "Language model token consumption monitoring",
  "enabled": true,
  "metadata": {
    "billableMetricMapping": {
      "revenue": "bm_l3m4n5o6p7q8r9s0"
    }
  },
  "name": "LLM Usage Tracker",
  "planId": "plan_d5e6f7g8h9i0j1k2",
  "processingMode": "manual",
  "type": "stripe_revenue",
  "updatedAt": "2024-03-01T14:20:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paygentic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the source Unique identifier for a source

Pattern: ^src_[a-zA-Z0-9]+$

Response

Source details

id
string
required

Unique identifier for a source

Pattern: ^src_[a-zA-Z0-9]+$
object
enum<string>
required
Available options:
source
createdAt
string<date-time>
required
enabled
boolean
required
merchantId
string
required

Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
name
string
required
planId
string
required

Unique identifier for a plan

Pattern: ^plan_[a-zA-Z0-9]+$
processingMode
enum<string>
required
Available options:
automatic,
manual
type
enum<string>
required
Available options:
stripe_revenue
updatedAt
string<date-time>
required
config
object
description
string
metadata
object